# Dosya Yükleme, İndirme

Eklentinin eklendiği sunucudan Liman sunucusuna dosya indirmenin veya Liman sunucusundan karşı sunucuya dosya yüklemenin gerekli olduğu durumlarda kullanılabilecek iki fonksiyon Liman sisteminde tanımlanmıştır.

### putFile

Bu fonksiyon Liman sunucusundan karşı sunucuya dosya yükler.

| Argüman     | Açıklama                                 | Veri Tipi |
| ----------- | ---------------------------------------- | --------- |
| $localPath  | Liman sunucusundaki dosyanın konumu.     | string    |
| $remotePath | Karşı sunucuda dosyanın yükleneceği yol. | string    |

### getFile

Bu fonksiyon ise karşı sunucudan Liman sunucusuna dosya indirir.

| Argüman     | Açıklama                                     | Veri Tipi |
| ----------- | -------------------------------------------- | --------- |
| $localPath  | Liman sunucusunda indirilecek dosyanın yolu. | string    |
| $remotePath | Dosyanın karşı sunucudaki konumu.            | string    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liman.dev/eklenti-gelistirme/gelistirme/dosya-yuekleme-indirme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
